/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#include "look.h"

void holdemRenderLookSeat(camera_t *camera, uint8_t seat) {
  float x, z, angle;
  angle = HOLDEM_GAME_SEAT_ANGLE(seat);
  x = sin(angle);
  z = cos(angle);
  cameraLookAt(&GAME_STATE.cameraLeft,
     x, 0.2,  z,
    -x, 0.2, -z
  );
}

void holdemRenderLookHand(camera_t *camera, uint8_t seat) {
  float x, z, angle;
  angle = HOLDEM_GAME_SEAT_ANGLE(seat);
  x = sin(angle);
  z = cos(angle);
  cameraLookAt(&GAME_STATE.cameraLeft,
    x*0.1, 0.8, z*0.1,
    -x*0.5, 0.2, -z*0.5
  );
}
